**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/26.3/vault-settings/retrieve-grouped-setting-metadata

# Retrieve Setting Metadata

Retrieves metadata for a specific setting nested within a settings group.

<Endpoint path="/api/{version}/configuration/settings/{type}/metadata/{group}/{setting}" method="GET" />

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `type` | The API name of the settings type. For example, `email_settings__sys`. Retrieve a list of all types available in your Vault with [List Settings Types](/medical/vault-api/api-reference/26.3/vault-settings/list-settings-types). |
| `group` | The API name of the settings group. For example, `general`. |
| `setting` | The API name of the setting within the group. For example, `email_from_name`. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {AUTH_VALUE}" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v26.3/configuration/settings/general_settings__sys/metadata/vault_information/vault_name
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "data": {
        "name": "vault_name",
        "label": "Vault Name",
        "description": "Display name for this Vault.",
        "type": "STRING",
        "default": null,
        "read_only": false
    }
}
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault returns the following information for the specified setting:

<FieldTable>
| Name | Description |
| --- | --- |
| `name` | The API name of the setting. |
| `label` | The label displayed in the UI. |
| `description` | A description of the setting's impact. |
| `type` | The value type: `BOOLEAN`, `STRING`, or `NUMBER`. |
| `default` | The default value for this setting. This attribute is `null` if no default is defined. |
| `read_only` | Indicates whether this field is read-only. |
</FieldTable>

---

**Previous:** [Retrieve Settings Group Metadata](/medical/vault-api/api-reference/26.3/vault-settings/retrieve-setting-metadata)  
**Next:** [Sandbox Vaults](/medical/vault-api/api-reference/26.3/sandbox-vaults)